Subject: Re: [Ksummit-2005-discuss] Summary of 2005 Kernel Summit Proposed Topics

From: Andi Kleen <[email-masked]>
Date: 31 Mar 2005 13:45:19 +0200

On Wed, Mar 30, 2005 at 11:28:07AM -0800, Alex Aizman wrote:
> > Andrea Arcangeli wrote: 
> > 
> > All I care about is to assign a mempool ID to the skb (ID 
> > being unique identifier for the tcp connection I don't care 
> > how the implementation is). 
> 
> It makes sense to provide an API for the NIC driver to allocate skb from the

That would pretty much need all of the infrastructure for zero copy 
RX - add all the hooks to update the device driver on local socket
hashtable updates. I am sure we will need it at some point and it makes
sense, but I suspect it is quite complex work.

-Andi